Cyberduck Mountain Duck CLI

#8988 closed defect (fixed)

Selection change in protocol dropdown using keyboard does not enable hostname field

Reported by: ducling Owned by: dkocher
Priority: normal Milestone: 4.7.3
Component: core Version: 4.7.2
Severity: normal Keywords:
Cc: Architecture: Intel
Platform: Windows 7

Description (last modified by dkocher)

When creating a new connection, regardless of which connection type I'm using, the server field is automatically set to "storage.googleapis.com" and doesn't take my typing.

screenshot

Attachments (1)

Capture.PNG (22.0 KB) - added by ducling on Aug 28, 2015 at 2:36:14 AM.
screenshot

Download all attachments as: .zip

Change History (12)

Changed on Aug 28, 2015 at 2:36:14 AM by ducling

screenshot

comment:1 Changed on Aug 28, 2015 at 8:20:36 AM by dkocher

  • Description modified (diff)

comment:2 Changed on Aug 28, 2015 at 8:20:53 AM by dkocher

  • Description modified (diff)
  • Milestone set to 4.8

comment:3 follow-up: Changed on Sep 2, 2015 at 5:55:05 AM by yla

Seems to be a bug in the ComboBox component: http://stackoverflow.com/a/1957097

comment:4 in reply to: ↑ 3 Changed on Sep 2, 2015 at 12:08:48 PM by dkocher

Replying to yla:

Seems to be a bug in the ComboBox component: http://stackoverflow.com/a/1957097

Currently this issue occurs when using the keyboard to change the selection. Please use the mouse to change the protocol selection.

comment:5 Changed on Sep 2, 2015 at 12:09:32 PM by dkocher

  • Owner set to dkocher
  • Severity changed from blocker to normal
  • Status changed from new to assigned
  • Summary changed from The server field default to "storage.googleapis.com" and can't be changed. to Selection change in protocol dropdown using keyboard does not enable hostname field

comment:6 Changed on Sep 2, 2015 at 1:19:02 PM by ducling

I'm only using the mouse and not the keyboard. I tried again, changing the protocol selection by the mouse, has no effect on the server field. it is white to be updated, but it doesn't take the typing or doing copy paste.

Here is a video trying to update the field, maybe it will help to understand the issue better ? http://screencast-o-matic.com/watch/coQnIFf5ga

comment:7 Changed on Sep 3, 2015 at 9:55:18 AM by yla

You have always the same behavior, also after a restart of Cyberduck?

comment:8 Changed on Sep 3, 2015 at 1:28:07 PM by ducling

Same behavior, regardless a restart of Cyberduck or restart of the computer.

comment:9 Changed on Oct 14, 2015 at 8:52:22 PM by dkocher

As a workaround, please choose FTP for the default protocol in Preferences → General → Connection → Default Protocol.

comment:10 Changed on Oct 14, 2015 at 8:54:13 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

In r18350.

comment:11 Changed on Dec 14, 2015 at 12:49:17 PM by dkocher

#9149 closed as duplicate.

Note: See TracTickets for help on using tickets.
swiss made software